#include "ImageMarker.h"

#include <qpainter.h>
#include <qpaintdevicemetrics.h>

#include <qwt_plot.h>
#include <qwt_scale.h>
#include <qwt_painter.h>
#include <qwt_plot_canvas.h>
#include <qwt_plot_layout.h>
#include <qwt_layout_metrics.h>

#include <math.h>
#include <stdlib.h>
#include <stdio.h>
#include <stddef.h>

ImageMarker::ImageMarker(const QPixmap& p, QwtPlot *plot):
    QwtPlotMarker(plot)
{
pic=p;
}

void ImageMarker::draw(QPainter *p, int x, int y, const QRect&)
{
origin = QPoint (x, y);
p->drawPixmap(QRect(origin, picSize), pic);	
}

void ImageMarker::setSize(const QSize& size)
{
if (picSize == size)
	return;

picSize=size;
}

void ImageMarker::setOrigin(const QPoint& p)
{
if (origin == p)
	return;

origin=p;

QwtPlot *plot = (QwtPlot *)parentPlot();
	
QwtDiMap xmap=plot->canvasMap (QwtPlot::xBottom);
setXValue(xmap.invTransform(p.x()));
	
QwtDiMap ymap=plot->canvasMap (QwtPlot::yLeft);
setYValue(ymap.invTransform(p.y()));
}

QPoint ImageMarker::getOrigin()
{
return origin;	
}
